package com.hainaos.vc.base.mvvm;

import android.content.Context;

import androidx.databinding.ViewDataBinding;

import com.trello.rxlifecycle4.android.ActivityEvent;

import io.reactivex.rxjava3.subjects.BehaviorSubject;

public interface ViewDataBindingCallback<VDB extends ViewDataBinding> {


    void setVDBinding(VDB binding);

    VDB getVDBinding() throws NullPointerException;


    void setCtx(Context context);

    Context getCtx() throws NullPointerException;

    void setLifecycle(BehaviorSubject<ActivityEvent> subject);

    BehaviorSubject<ActivityEvent> getLifecycle();
}
